org.apache.ignite.ml.preprocessing.binarization

## Class BinarizationTrainer<K,V>

- java.lang.Object
- - org.apache.ignite.ml.preprocessing.binarization.BinarizationTrainer<K,V>

- Type Parameters:
    `K` - Type of a key in `upstream` data.
    `V` - Type of a value in `upstream` data.
  All Implemented Interfaces:
    PreprocessingTrainer<K,V>

      public class BinarizationTrainer<K,V>
      extends Object
      implements PreprocessingTrainer<K,V>

  Trainer of the binarization preprocessor.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinarizationTrainer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BinarizationPreprocessor<K,V>` | `fit(LearningEnvironmentBuilder envBuilder, DatasetBuilder<K,V> datasetBuilder, Preprocessor<K,V> basePreprocessor)` Fits preprocessor.
    `double` | `getThreshold()` Get the threshold parameter value.
    `BinarizationTrainer<K,V>` | `withThreshold(double threshold)` Set the threshold parameter value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.preprocessing.PreprocessingTrainer

      `fit, fit, fit, fit, fit, learningEnvironment`

- - ### Constructor Detail

    - #### BinarizationTrainer

          public BinarizationTrainer()

  - ### Method Detail

    - #### fit

          public BinarizationPreprocessor<K,V> fit(LearningEnvironmentBuilder envBuilder,
                                                   DatasetBuilder<K,V> datasetBuilder,
                                                   Preprocessor<K,V> basePreprocessor)

      Fits preprocessor.
      Specified by:
        `fit` in interface `PreprocessingTrainer<K,V>`
      Parameters:
        `envBuilder` - Learning environment builder.
        `datasetBuilder` - Dataset builder.
        `basePreprocessor` - Base preprocessor.
      Returns:
        Preprocessor.

    - #### getThreshold

          public double getThreshold()

      Get the threshold parameter value.
      Returns:
        The property value.

    - #### withThreshold

          public BinarizationTrainer<K,V> withThreshold(double threshold)

      Set the threshold parameter value.
      Parameters:
        `threshold` - The given value.
      Returns:
        The Binarization trainer.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020